Bug 67228 - Patched initscripts to support 802.1Q VLAN interfaces
Patched initscripts to support 802.1Q VLAN interfaces
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://www.ac.tuiasi.ro/mituc/devel/i...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-21 06:38 EDT by Tarhon-Onu Victor
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-05 20:38:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tarhon-Onu Victor 2002-06-21 06:38:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
I'm not posting a bug, it is more likely a request for some enhancements.
I met lots of people needing VLAN implementation on linux, so I wrote 2 scripts
(if(up|down)-vlans) and added 1 line in ifup-port and 3 lines in ifdown-post.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.n/a
2.
3.
	

Actual Results:  The scripts work fine. I didn't find any bugs 'till now.

Additional info:

1. VLAN implementation:
For this scripts to run properly and to do what they're supposed to do you have
to download vlan configuration tools from
http://www.candelatech.com/~greear/vlan/vlan.1.6.tar.gz - which is the last
version AFAIK. Maybe this tool will be included in a package (net-tools) or will
be a standalone package.

2. Design: I see VLAN interfaces as some kind of aliases for the parent
interfaces. That I was thinking about when I wrote the scripts. Maybe you'll
consider it as different interfaces, I don't know, it is initscripts package
maintainer's decision.
3. What the scripts do? They search for configuration vlan interfaces
configuration files coresponding to non-alias interfaces (e.g. eth3), they
perform some checks and if everything is ok the interface is configured and gets
an ip address, then the alias interfaces (if any) are configured. 
BOOTPROTO is not checked, the ip address is assigned only static for now, Ben
Greear designed write some patches for dhcp server afaik.When the service
network stops the VLAN interfaces are simply removed.
VLAN interfaces can also act as default gateway interfaces, all you have to do
is add GATEWAYDEV=eth3.7, or GATEWAY=ip_address_directly_connected_to_vlan_iface
of both in /etc/sysconfig/network, or add lines in /etc/sysconfig/static-routes
in a proper way (e.g. eth0.3 net 10.100.100.0 netmask 255.255.255.248 gw
10.100.101.2).
Comment 1 Bill Nottingham 2003-02-05 20:38:48 EST
Something similar is in current rawhide initscripts (7.06-ish)

Note You need to log in before you can comment on or make changes to this bug.